# Generated by Django 2.0.8 on 2018-09-05 20:19

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('wagtail_tag_manager', '0007_auto_20180815_1710'),
    ]

    operations = [
        migrations.AlterField(
            model_name='constant',
            name='key',
            field=models.SlugField(help_text='The key that can be used in tags to include the value.<br/>For example: <code>{{ ga_id }}</code>.', max_length=255, unique=True),
        ),
        migrations.AlterField(
            model_name='constant',
            name='value',
            field=models.CharField(help_text='The value to be rendered when this constant is included.', max_length=255),
        ),
        migrations.AlterField(
            model_name='tag',
            name='content',
            field=models.TextField(help_text='The script to be executed.'),
        ),
        migrations.AlterField(
            model_name='tag',
            name='tag_loading',
            field=models.CharField(choices=[('instant_load', 'Instant'), ('lazy_load', 'Lazy')], default='instant_load', help_text='<b>Instant:</b> include this tag in the document when the initial request is made.<br/><b>Lazy:</b> include this tag after the page has finished loading.', max_length=12),
        ),
        migrations.AlterField(
            model_name='tag',
            name='tag_location',
            field=models.CharField(choices=[('top_head', 'Top of head tag'), ('bottom_head', 'Bottom of head tag'), ('top_body', 'Top of body tag'), ('bottom_body', 'Bottom of body tag')], default='top_head', help_text='Where in the document this tag will be inserted. Only applicable for tags that load instantly.', max_length=12),
        ),
        migrations.AlterField(
            model_name='tag',
            name='tag_type',
            field=models.CharField(choices=[('functional', 'Functional'), ('analytical', 'Analytical'), ('traceable', 'Traceable')], default='functional', help_text='The purpose of this tag. Will decide if and when this tag is loaded on a per-user basis.', max_length=10),
        ),
        migrations.AlterField(
            model_name='variable',
            name='key',
            field=models.SlugField(help_text='The key that can be used in tags to include the value.<br/>For example: <code>{{ path }}</code>.', max_length=255, unique=True),
        ),
        migrations.AlterField(
            model_name='variable',
            name='value',
            field=models.CharField(blank=True, help_text='<b>Path with regex:</b> the pattern to search the path with.<br/><b>Cookie:</b> the name of the cookie.', max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='variable',
            name='variable_type',
            field=models.CharField(choices=[('HTTP', (('path', 'Path'), ('_repath+', 'Path with regex'))), ('User', (('user.pk', 'User'), ('session.session_key', 'Session'))), ('Wagtail', (('site', 'Site'),)), ('Other', (('_cookie+', 'Cookie'), ('_random', 'Random number')))], help_text='<b>Path:</b> the path of the visited page.<br/><b>Path with regex:</b> the path of the visited page after applying a regex search.<br/><b>User:</b> the ID of a user, when available.<br/><b>Session:</b> the session key.<br/><b>Site:</b> the name of the site.<br/><b>Cookie:</b> the value of a cookie, when available.<br/><b>Random number:</b> a random number.', max_length=255),
        ),
    ]
